Subject: Re: 23.1; pdbtrack isn't parsing valid pdb output or creating an interactive debugging buffer (python.el)

From: Chong Yidong <[email-masked]>
Date: Fri, 26 Feb 2010 19:22:22 -0500

> 1) While debugging Python code in emacs I kept seeing "Traceback cue
> not found" errors popping up in the minibuffer.  After a good bit of
> googling, I found this:
>
> https://bugs.launchpad.net/python-mode/+bug/505295
>
> Once I applied this patch, those errors went away.  Here is the patch:

Thanks, I have applied it to the repository.

> 2) Debugging Python in emacs doesn't work with "M-x pdb".  If I invoke
> pdb using "M-x pdb", I end up at a buffer that says:
>
> Current directory is <pwd>
>
> No matter what I do, the buffer never updates or creates an
> interactive pdb shell until I kill the debugging session by running to
> the end of the script or killing the debugger session.  It's at this
> point I see exactly what I would had expected to see in the first
> place, the pdb interactive session and its output.  The only way I can
> debug Python in emacs is to open a shell, invoke "python -m pdb
> <file>".  The good news is python.el has support to automatically link
> the shell's pdb output to an editor pointing to the file being
> debugged.

I can't reproduce this.  Could you attach a sample hello world type
Python program, and a set of precise step-by-step instructions to
reproduce the bug, starting with `emacs -Q'?  Thanks.